Name "Economic War"

CRCCheck force
SetCompressor /SOLID /FINAL lzma

 Page custom brandimage "" ": Brand Image"
 Page license
 Page directory
 Page instfiles
 UninstPage uninstConfirm un.brandimage
 UninstPage instfiles

BGGradient 000000 FFCC33 FFCC33
LicenseBkColor FFCC33
InstallColors 000000 FFCC33
BrandingText " "
AddBrandingImage left 80 20
Caption "Economic War"
WindowIcon off
InstProgressFlags "smooth"
ShowInstDetails show
ShowUninstDetails show

OutFile "EconomicWar.exe"

XPStyle on

LicenseForceSelection checkbox "Accept"
LicenseText " "
LicenseData "Ack.rtf"

InstallDirRegKey HKLM "SOFTWARE\Taldren\Starfleet Command Orion Pirates" "Directory"
DirText "Please confirm your OP installation directory:"

; it appears Economic War is stock based - OP+4 check lines commented out.
; Var opplus_version
Var is_installed

Section "Install"

; ReadRegStr $opplus_version HKLM "SOFTWARE\FireSoul\opplus" "version"
; StrCmp $opplus_version "4.0" Opplus_installed Opplus_not_installed

; Opplus_installed:

ReadRegStr $is_installed HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\EconomicWar" "DisplayName"
StrCmp $is_installed "Economic War Files" EW_installed EW_not_installed

EW_not_installed:

CreateDirectory "$INSTDIR\EW_backup"

CreateDirectory "$INSTDIR\EW_backup\Assets"

CreateDirectory "$INSTDIR\EW_backup\Assets\Specs"
CopyFiles "$INSTDIR\Assets\Specs\shiplist.txt" "$INSTDIR\EW_backup\Assets\Specs" 2911
CopyFiles "$INSTDIR\Assets\Specs\ftrlist.txt" "$INSTDIR\EW_backup\Assets\Specs" 29

CreateDirectory "$INSTDIR\EW_backup\MetaAssets"
CopyFiles "$INSTDIR\MetaAssets\shiplist.txt" "$INSTDIR\EW_backup\MetaAssets" 2911
CopyFiles "$INSTDIR\MetaAssets\ftrlist.txt" "$INSTDIR\EW_backup\MetaAssets" 29

CreateDirectory "$INSTDIR\EW_backup\Assets\Models"
CopyFiles "$INSTDIR\Assets\Models\model.siz" "$INSTDIR\EW_backup\Assets\Models" 37


SetOutPath $INSTDIR\MetaAssets
File /r Shiplist\*.*
SetOutPath $INSTDIR\Assets\Specs
File /r Shiplist\*.*
SetOutPath $INSTDIR\Assets
File /r Scripts
File /r Models
SetOutPath $INSTDIR
File /r EconModels
File EconomicWar.doc

WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\EconomicWar" "DisplayName" "Economic War Files"
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\EconomicWar" "UninstallString" '"$INSTDIR\EW_Uninstall.exe"'

SetOutPath $INSTDIR
WriteUninstaller "EW_Uninstall.exe"
CreateDirectory "$SMPROGRAMS\Economic War"
CreateShortCut "$SMPROGRAMS\Economic War\Server Info.lnk" "$INSTDIR\EconomicWar.doc"
CreateShortCut "$SMPROGRAMS\Economic War\Uninstall Economic War Files.lnk" "$INSTDIR\EW_Uninstall.exe"

SetOutPath $INSTDIR

Goto Finished_install

; Opplus_not_installed:
; MessageBox MB_OK|MB_ICONSTOP "OP+ 4.0 not found! EW requires OP+ 4.0, please install it first. (Economic War not installed.)" IDOK Finished_install

EW_installed:
MessageBox MB_OK|MB_ICONSTOP "Economic War already installed! Please uninstall the current version if you wish to reinstall." IDOK Finished_install

Finished_install:

SectionEnd 


Section "Uninstall"

RMDir /r "$INSTDIR\EconModels"

CopyFiles "$INSTDIR\EW_backup\Assets\Specs\*.txt" "$INSTDIR\Assets\Specs"

CopyFiles "$INSTDIR\EW_backup\MetaAssets\*.txt" "$INSTDIR\MetaAssets"

CopyFiles "$INSTDIR\EW_backup\Assets\Models\model.siz" "$INSTDIR\Assets\Models"


RMDir /r "$INSTDIR\EW_backup"

DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\EconomicWar"

Delete "$SMPROGRAMS\Economic War\*.*"
RMDir "$SMPROGRAMS\Economic War"

Delete "$INSTDIR\EconomicWar.doc"
Delete "$INSTDIR\EW_Uninstall.exe"

SectionEnd

Function .onInit
	InitPluginsDir
	File /oname=$PLUGINSDIR\splash.bmp "EcoTitle.bmp"
	advsplash::show 3000 1000 1000 -1 $PLUGINSDIR\splash
	Pop $0
FunctionEnd

Function brandimage
	File /oname=$PLUGINSDIR\brandimage.bmp "TreasureMap.bmp"
        SetBrandingImage "$PLUGINSDIR\brandimage.bmp"
FunctionEnd

Function un.brandimage
	InitPluginsDir
	File /oname=$PLUGINSDIR\brandimage.bmp "TreasureMap.bmp"
        SetBrandingImage "$PLUGINSDIR\brandimage.bmp"
FunctionEnd